<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: Vector3DSpinBox.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_vector3_d_spin_box_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Vector3DSpinBox.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_vector3_d_spin_box_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;</div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#ifndef VECTOR3DSPINBOX_H</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#define VECTOR3DSPINBOX_H</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_box_8h.html">Box.h</a>&gt;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_vector3_d_8h.html">Vector3D.h</a>&gt;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span>framework { <span class="keyword">namespace </span>gui {</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    <span class="keyword">class </span>Layout;</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classframework_1_1gui_1_1_vector3_d_spin_box.html">   23</a></span>&#160;    <span class="keyword">class </span><a class="code" href="classframework_1_1gui_1_1_vector3_d_spin_box.html">Vector3DSpinBox</a>: <span class="keyword">public</span> <a class="code" href="classframework_1_1gui_1_1_box.html">Box</a> {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="keyword">public</span>:</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_vector3_d_spin_box.html#a111a1ee884f1c2e0df1debf2b91855fb">Vector3DSpinBox</a>(<span class="keyword">const</span> <a class="code" href="classframework_1_1gui_1_1_layout_position.html">LayoutPosition</a>* position,std::string name,<span class="keywordtype">double</span> min,<span class="keywordtype">double</span> max,<span class="keywordtype">double</span> step,<span class="keywordtype">int</span> decimals=2,<a class="code" href="classframework_1_1core_1_1_vector3_d.html">core::Vector3D</a> default_value=<a class="code" href="classframework_1_1core_1_1_vector3_d.html">core::Vector3D</a>(0,0,0));</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;            <a class="code" href="classframework_1_1gui_1_1_vector3_d_spin_box.html#a88029ec844e4ebfab9b956731eeeeba7">~Vector3DSpinBox</a>();</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;            <a class="code" href="classframework_1_1core_1_1_vector3_d.html">core::Vector3D</a> <a class="code" href="classframework_1_1gui_1_1_vector3_d_spin_box.html#ab3749e050ea7b09ad4c721a68b81440a">Value</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            <span class="comment">//operator core::Vector3D() const;</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <span class="keyword">private</span>:</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            <span class="keywordtype">void</span> XmlEvent(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;            <a class="code" href="classframework_1_1core_1_1_vector3_d.html">core::Vector3D</a> box_value;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    };</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;} <span class="comment">// end namespace gui</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;} <span class="comment">// end namespace framework</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">#endif // VECTOR3DSPINBOX_H</span></div>
<div class="ttc" id="classframework_1_1gui_1_1_box_html"><div class="ttname"><a href="classframework_1_1gui_1_1_box.html">framework::gui::Box</a></div><div class="ttdoc">Abstract class to display a box on the ground station. </div><div class="ttdef"><b>Definition:</b> Box.h:31</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_layout_position_html"><div class="ttname"><a href="classframework_1_1gui_1_1_layout_position.html">framework::gui::LayoutPosition</a></div><div class="ttdoc">Class to define a position in a layout on the ground station. </div><div class="ttdef"><b>Definition:</b> LayoutPosition.h:26</div></div>
<div class="ttc" id="_vector3_d_8h_html"><div class="ttname"><a href="_vector3_d_8h.html">Vector3D.h</a></div><div class="ttdoc">Class defining a 3D vector. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_vector3_d_spin_box_html"><div class="ttname"><a href="classframework_1_1gui_1_1_vector3_d_spin_box.html">framework::gui::Vector3DSpinBox</a></div><div class="ttdoc">Class displaying 3 QDoubleSpinBox for x,y,z on the ground station. </div><div class="ttdef"><b>Definition:</b> Vector3DSpinBox.h:23</div></div>
<div class="ttc" id="classframework_1_1core_1_1_vector3_d_html"><div class="ttname"><a href="classframework_1_1core_1_1_vector3_d.html">framework::core::Vector3D</a></div><div class="ttdoc">Class defining a 3D vector. </div><div class="ttdef"><b>Definition:</b> Vector3D.h:23</div></div>
<div class="ttc" id="classframework_1_1gui_1_1_vector3_d_spin_box_html_a88029ec844e4ebfab9b956731eeeeba7"><div class="ttname"><a href="classframework_1_1gui_1_1_vector3_d_spin_box.html#a88029ec844e4ebfab9b956731eeeeba7">framework::gui::Vector3DSpinBox::~Vector3DSpinBox</a></div><div class="ttdeci">~Vector3DSpinBox()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_vector3_d_spin_box_html_a111a1ee884f1c2e0df1debf2b91855fb"><div class="ttname"><a href="classframework_1_1gui_1_1_vector3_d_spin_box.html#a111a1ee884f1c2e0df1debf2b91855fb">framework::gui::Vector3DSpinBox::Vector3DSpinBox</a></div><div class="ttdeci">Vector3DSpinBox(const LayoutPosition *position, std::string name, double min, double max, double step, int decimals=2, core::Vector3D default_value=core::Vector3D(0, 0, 0))</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classframework_1_1gui_1_1_vector3_d_spin_box_html_ab3749e050ea7b09ad4c721a68b81440a"><div class="ttname"><a href="classframework_1_1gui_1_1_vector3_d_spin_box.html#ab3749e050ea7b09ad4c721a68b81440a">framework::gui::Vector3DSpinBox::Value</a></div><div class="ttdeci">core::Vector3D Value(void) const </div><div class="ttdoc">Value. </div></div>
<div class="ttc" id="_box_8h_html"><div class="ttname"><a href="_box_8h.html">Box.h</a></div><div class="ttdoc">Abstract class to display a box on the ground station. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d9f696bd07998dbcfc5b49e19dc5f66d.html">igep</a></li><li class="navelem"><a class="el" href="dir_7775cfc2302e50905e8c794823e78d65.html">uav_lib</a></li><li class="navelem"><a class="el" href="dir_3d8b3ef72b6bddf04a7da37c46c6171b.html">framework</a></li><li class="navelem"><a class="el" href="dir_b562b7e28db909b473d6df8cfc340e1a.html">Framework</a></li><li class="navelem"><a class="el" href="dir_351818660e8c85d910ad9decfeb820b5.html">src</a></li><li class="navelem"><a class="el" href="_vector3_d_spin_box_8h.html">Vector3DSpinBox.h</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
